Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.rd.kodo.impl.jdbc.schema.dict
Class PointbaseDictionary

    java.lang.Object
      |
      +--com.solarmetric.rd.kodo.impl.jdbc.schema.DBDictionary
            |
            +--com.solarmetric.rd.kodo.impl.jdbc.schema.dict.PointbaseDictionary

public class PointbaseDictionary
extends DBDictionary

Dictionary for Pointbase Embedded.

Field Summary

Fields inherited from class com.solarmetric.rd.kodo.impl.jdbc.schema.DBDictionary
`CENTI, DECI, MICRO, MILLI, NANO, SEC`

Constructor Summary
`PointbaseDictionary()`

Method Summary
`java.lang.String[]` | `getDropIndexSQL(com.solarmetric.rd.kodo.impl.jdbc.schema.Index index)` Return a series of SQL statements to drop the given index.
`java.lang.String` | `getPlatform()` Return the database platform for this dictionary.
`int` | `getPreferredType(int type)` Return the preferred `Types` type for the given one.
`protected java.lang.String` | `getTypeName(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col)` Return the preferred database type for the given column's type from `Types`.

Methods inherited from class com.solarmetric.rd.kodo.impl.jdbc.schema.DBDictionary
`addSystemSchema, addSystemTable, generateForeignKeys, generateIndexes, generatePrimaryKeys, generateTables, getAddColumnSQL, getAddForeignKeySQL, getAddPrimaryKeySQL, getArray, getAsciiStream, getBigDecimal, getBigInteger, getBinaryStream, getBlob, getBlobObject, getBoolean, getByte, getBytes, getChar, getCharacterStream, getClob, getClobString, getConfiguration, getCreateIndexSQL, getCreateTableSQL, getDate, getDate, getDatePrecision, getDBMetaData, getDeclareColumnSQL, getDouble, getDropColumnSQL, getDropForeignKeySQL, getDropPrimaryKeySQL, getDropTableSQL, getFloat, getForeignKeyActionName, getForeignKeyConstraintSQL, getInt, getJDBCType, getJDBCType, getLocale, getLong, getObject, getPrimaryKeyConstraintSQL, getRef, getShort, getSimulateLocking, getStoreCharsAsNumbers, getStoreLargeNumbersAsStrings, getString, getSystemSchemas, getSystemTables, getTime, getTimestamp, getValidColumnName, getValidForeignKeyName, getValidIndexName, getValidPrimaryKeyName, getValidTableName, isSystemIndex, isSystemTable, makeNameValid, replaceMapping, replaceMappingFactory, replaceSchemaFactory, setArray, setAsciiStream, setBigDecimal, setBigInteger, setBinaryStream, setBlob, setBlobObject, setBoolean, setByte, setBytes, setChar, setCharacterStream, setClob, setClobString, setConfiguration, setDate, setDate, setDBMetaData, setDouble, setFloat, setInt, setLocale, setLong, setNull, setObject, setRef, setShort, setSimulateLocking, setStoreCharsAsNumbers, setStoreLargeNumbersAsStrings, setString, setSystemSchemas, setSystemTables, setTime, setTimestamp, supportsDeferredConstraints, supportsForeignKeyDeleteAction, supportsSelectForUpdate, supportsUpdateCountsForBatch, toSelect, wrapConnection`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PointbaseDictionary

    public PointbaseDictionary()

Method Detail

### getPlatform

    public java.lang.String getPlatform()

  Description copied from class: `DBDictionary`
  Return the database platform for this dictionary.

  Overrides:
    `getPlatform` in class `DBDictionary`

### getPreferredType

    public int getPreferredType(int type)

  Description copied from class: `DBDictionary`
  Return the preferred `Types` type for the given one. Returns the given type by default.

  Overrides:
    `getPreferredType` in class `DBDictionary`

### getTypeName

    protected java.lang.String getTypeName(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col)

  Description copied from class: `DBDictionary`
  Return the preferred database type for the given column's type from `Types`. Defaults to using the `DBMetaData`.

  Overrides:
    `getTypeName` in class `DBDictionary`

### getDropIndexSQL

    public java.lang.String[] getDropIndexSQL(com.solarmetric.rd.kodo.impl.jdbc.schema.Index index)

  Description copied from class: `DBDictionary`
  Return a series of SQL statements to drop the given index. Returns `DROP INDEX <index name>` by default.

  Overrides:
    `getDropIndexSQL` in class `DBDictionary`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.